<div ng-controller="engageTwo">
  <div class="row" ng-hide="confirmation">
    <div class="col-lg-8 col-lg-offset-2 col-sm-6">
      <h1>
        <%= __('engage_text1')%>
      </h1>
      <p class="lead">
        <%= __('engage_text2')%>
      </p>


      <form name="feedbackForm">
        <div class="form-group">
          <label><%= __('FirstName')%></label>
          <input type="text" class="form-control" placeholder="<%= __('FirstName')%>" ng-model="feedback.firstname">
        </div>
        <div class="form-group">
          <label><%= __('LastName')%></label>
          <input type="text" class="form-control" placeholder="<%= __('LastName')%>" ng-model="feedback.lastname">
        </div>
        <div class="form-group">
          <label>E-Mail*</label>
          <input type="email" class="form-control" placeholder="your@email.com" name="email" ng-model="feedback.email" required>

          <div role="alert" ng-show="formInvalid" ng-cloak>
            <span class="text-danger" ng-show="feedbackForm.email.$error.required">
              <%= __('email_req')%>!
            </span>
            <span class="text-danger" ng-show="feedbackForm.email.$error.email">
              <%= __('email_notvalid')%>!
            </span>
          </div>

        </div>

        <div class="form-group">
          <label><%= __('message')%>*</label>
          <textarea class="form-control" rows="10" name="message" ng-model="feedback.message" required></textarea>
          <div role="alert" ng-show="formInvalid" ng-cloak>
            <span class="text-danger" ng-show="feedbackForm.message.$error.required">
              <%= __('message_req')%>!
            </span>
          </div>
        </div>
        <div class="form-group">

          <button type="button" class="btn btn-primary" ng-click="send()">
            <span ng-if="!loading"><%= __('send')%></span>
            <span ng-if="loading" class="fa fa-spinner fa-spin" ng-cloak></span>
          </button>

        </div>
      </form>
    </div>

  </div>
  <div class="row" ng-show="confirmation" ng-cloak>
    <div class="col-lg-6 col-lg-offset-3 col-sm-12">
      <h1><%= __('thnx')%>!</h1>

      <p class="lead">
        <%= __('message_received')%>!
      </p>

      <br>
      <br>
      <a href="search"><%= __('to_search')%></a>

    </div>
  </div>
